CppSourceSet (Gradle API 7.6.4)

Package org.gradle.language.cpp

## Interface CppSourceSet

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `DependentSourceSet`, `HeaderExportingSourceSet`, `LanguageSourceSet`, `ModelElement`, `Named`

      @Incubating
      public interface CppSourceSet
      extends HeaderExportingSourceSet, LanguageSourceSet, DependentSourceSet

  A set of C++ source files.

  A C++ source set contains a set of source files, together with an optional set of exported header files.

       plugins {
           id 'cpp'
       }

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       cpp {
                           source {
                               srcDirs "src/main/cpp", "src/shared/c++"
                               include "**/*.cpp"
                           }
                           exportedHeaders {
                               srcDirs "src/main/include", "src/shared/include"
                           }
                       }
                   }
               }
           }
       }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.DependentSourceSet

      `getLibs, getPreCompiledHeader, lib, setPreCompiledHeader`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.HeaderExportingSourceSet

      `getExportedHeaders, getImplicitHeaders`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `generatedBy, getParentName, getSource`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`